<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

use Predial\EstratoPredio;
class EstratoPredioController extends Controller{

    private $path = 'estratoPredio';

    public function index(){
        if(!empty(session()->get('usuario'))){
            $data = EstratoPredio::all();
            return view($this->path.'.index', compact('data', $data));
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function create(){
        if(!empty(session()->get('usuario'))){
            return view('estratoPredio.create');
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function show($id_unico){
        if(!empty(session()->get('usuario'))){
            $id   = decrypt($id_unico);

            $data = EstratoPredio::find($id);

            return view('estratoPredio.edit')->with('data', $data);
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function edit(Request $request){
        try {
            $estrato             = EstratoPredio::findOrFail($request->id_unico);

            $estrato->codigo     = $request->txtCodigo;
            $estrato->nombre     = $request->txtNombre;
            $estrato->timestamps = false;
            $estrato->save();

            flash()->overlay('Información modificada correctamente', 'Información');

            return redirect('ListarEstratoPredio');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }

    public function store(Request $request){
        try {
            $estrato             = new EstratoPredio();

            $estrato->timestamps = false;
            $estrato->nombre     = $request->txtNombre;
            $estrato->codigo     = $request->txtCodigo;
            $estrato->save();

            flash()->overlay('Información guardada correctamente', 'Información');

            return redirect('ListarEstratoPredio');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }

    public function destroy($id_unico){
        try {
            $id = decrypt($id_unico);

            $estrato = EstratoPredio::findOrFail($id);
            $estrato->delete();

            flash()->overlay('Información eliminada correctamente', 'Información');

            return redirect('ListarEstratoPredio');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }
}
